---
lang: en
title: 'API docs: context.bindingkey.buildkeyforconfig'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingkey.buildkeyforconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingKey](./context.bindingkey.md) &gt; [buildKeyForConfig](./context.bindingkey.buildkeyforconfig.md)

## BindingKey.buildKeyForConfig() method

Build a binding key for the configuration of the given binding. The format is `<key>:$config`

**Signature:**

```typescript
static buildKeyForConfig<T>(key?: BindingAddress): BindingAddress<T>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

[BindingAddress](./context.bindingaddress.md)


</td><td>

_(Optional)_ Key of the target binding to be configured


</td></tr>
</tbody></table>

**Returns:**

[BindingAddress](./context.bindingaddress.md)<!-- -->&lt;T&gt;


